{% extends 'proj/base.html' %}
{% comment %}Translation{% endcomment %}
{% load i18n %}

{% block content %}
{% load static %}
<div class="smallpage">
    <h2>{% trans 'Direct data download ' %}</h2>

    <ul><li>{% trans 'metrics' %}</li>
        <ul>
            <li><a href="#avgmetrics">{% trans 'averaged'%}</a></li>
            <li><a href="#metrics">{% trans 'by model'%}</a></li>
<!--            <li><a href="#zonemetrics">{% trans 'by zone'%}</a></li>-->
<!--            <li><a href="#netcdf">{% trans 'as grid'%}</a></li>-->
        </ul>
        <li><a href="#params">{% trans 'raw parameters '%}</a></li>
    </ul>


    <h3 id="avgmetrics">{% trans 'Average metrics' %}</h3>

    {% blocktrans trimmed %}Monthly or <span style="background-color:rgb(0,255,255,.2)">yearly</span> data csv files with
    regions as columns, filled with average model value.{% endblocktrans %}

    <p><table>
        <thead><td></td>{% for scen in scenarios %}<td style="text-align:center">{{ scen }}</td>{% endfor %}</thead>
        {% for met in metrics %}
        <tr>
            <td>{{ met.locale_name }}</td>
            {% for scen in scenarios %}<td class="download" {% if not met.monthly %}style="background-color:rgb(0,255,255,.2)"{% endif %}>
            <a href="downmetric/{{ met.shortname }}_{{ scen }}.csv">{{met.shortname}}_{{ scen }}</a></td>
        {% endfor %}
        </tr>
        {% endfor %}
    </table></p>

    <h3 id="metrics">{% trans 'Metrics' %}</h3>

    {% blocktrans trimmed %}Monthly or <span style="background-color:rgb(0,255,255,.2)">yearly</span> data csv files with
    regions as columns, filled with model value.{% endblocktrans %}

{% comment %}
    <p><table>
        <thead><td></td>{% for mod in models %}<td style="text-align:center;color:{{mod.color}};transform: rotate(-45deg);">{{ mod }}</td>{% endfor %}</thead>
        {% for met in metrics %}{% with d=met.actual_models %}
        <tr>
            <td>{{ met.locale_name }}</td>
            {% for mod in models %}
            <td class="download" {% if not met.monthly %}style="background-color:rgb(0,255,255,.2)"{% endif %}>
                {# ugly and slow, but we have no choice #}
                {% if mod.name in d.rcp26 %}<a href="downmetric/{{ met.shortname }}_rcp26_{{mod}}.csv">rcp26</a><br>{% endif %}
                {% if mod.name in d.rcp45 %}<a href="downmetric/{{ met.shortname }}_rcp45_{{mod}}.csv">rcp45</a><br>{% endif %}
                {% if mod.name in d.rcp85 %}<a href="downmetric/{{ met.shortname }}_rcp85_{{mod}}.csv">rcp85</a><br>{% endif %}
            </td>{% endfor %}
        </tr>{% endwith %}
        {% endfor %}
    </table></p>


    <p id="zonemetrics">{% trans 'Same data, now ordered by regions, with models as columns.' %}</p>

{% endcomment %}
    <p><table>
        <thead><td></td>{% for z in zones %}<td {% if forloop.first %}style="background-color:#99CCFF"{% endif %}>{{ z }}</td>{% endfor %}</thead>
        {% for met in metrics %}
        <tr>
            <td>{{ met.locale_name }}</td>
                {% for z in zones %}<td class="download" {% if not met.monthly %}style="background-color:rgb(0,255,255,.2)"{% endif %}>
                {% for scen in scenarios %}
                <a href="{% url 'proj:zone_download' met.shortname scen.name z.name %}">{{ scen }}</a><br>
                {% endfor %}
        </td>{% endfor %}
        </tr>
        {% endfor %}
    </table></p>

{% comment %}
    <h3 id="netcdf">{% trans 'Netcdf format' %}</h3>
    {% trans 'Same parameters on a 0.5°x0.5° grid, in netcdf format. Size : ~2Mo for monthly parameters.' %}
    <table>
        <thead><td></td>{% for mod in models %}<td style="text-align:center;color:{{mod.color}};transform: rotate(-45deg);">{{ mod }}</td>{% endfor %}</thead>
        {% for met in metrics %}{% with dnc=met.actual_nc_models %}
        <tr>
            <td>{{ met.locale_name }}</td>
            {% for mod in models %}
            <td class="download" {% if not met.monthly %}style="background-color:rgb(0,255,255,.2)"{% endif %}>
                {# ugly and slow, but we have no choice #}
                {% if mod.name in dnc.rcp26 %}<a href="downmetric/{{ met.shortname }}_rcp26_{{mod}}.nc">rcp26</a><br>{% endif %}
                {% if mod.name in dnc.rcp45 %}<a href="downmetric/{{ met.shortname }}_rcp45_{{mod}}.nc">rcp45</a><br>{% endif %}
                {% if mod.name in dnc.rcp85 %}<a href="downmetric/{{ met.shortname }}_rcp85_{{mod}}.nc">rcp85</a><br>{% endif %}
            </td>{% endfor %}
        </tr>{% endwith %}
        {% endfor %}
    </table>

{% endcomment %}

    <h3 id="params">{% trans 'Raw parameters' %}</h3>

    <p>{% trans 'Daily data, ~7Mo per file.' %}</p>

    <p><table>
        <thead><td></td>{% for z in zones %}<td {% if forloop.first %}style="background-color:#99CCFF"{% endif %}>{{ z }}</td>{% endfor %}</thead>
        {% for p in params %}
        <tr>
            <td style="text-align:center">{{ p.locale_name }}</td>
            {% for z in zones %}<td class="download">
            {% for scen in scenarios %}
            <a href="downparam/{{ p.shortparam }}_{{ scen }}_{{ z.name }}.csv">{{ scen }}</a><br>
        {% endfor %}</td>{% endfor %}
        </tr>
        {% endfor %}
    </table></p>

</div>
{% endblock %}